Projects
Update Project
Update a project's name, description, or default environment.
Update a project's name, description, or default environment.
Authorization
bearerAuth AuthorizationBearer <token>
Access token or API key (unb_...) passed as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
default_environment_id?string
Format
uuiddescription?string|null
name?string
Has to be unique in the team
Length
1 <= length <= 32project_id*string
Format
uuidteam_id*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/projects/update" \ -H "Content-Type: application/json" \ -d '{ "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9", "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba" }'{ "data": { "created_at": "2019-08-24T14:15:22Z", "default_environment_id": "1658df0d-7596-4ba0-8ea0-7169da9cad5a", "description": "string", "environment_count": 0, "environments": [ { "active": true, "created_at": "2019-08-24T14:15:22Z", "description": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kubernetes_name": "string", "name": "string", "permissions": [ "admin" ], "service_count": 0, "service_icons": [ "string" ] } ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kubernetes_name": "string", "name": "string", "permissions": [ "admin" ], "service_count": 0, "service_icons": [ "string" ], "status": "string", "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba" }}